SDL_GetRectUnionFloat(3)

NAME
SDL_GetRectUnionFloat - Calculate the union of two rectangles with float precision.

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetRectUnionFloat(const SDL_FRect *A, const SDL_FRect *B, SDL_FRect *result);

FUNCTION PARAMETERS

A   an SDL_FRect
     structure representing the first rectangle.

B   an SDL_FRect
     structure representing the second rectangle.

result
    an SDL_FRect
     structure filled in with the union of rectangles A and B .

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.